Subject: Re: ignoring file modes completely

From: Rafael Kitover <[email-masked]>
Date: Sat, 05 Feb 2011 14:28:01 -0500

On 2/5/2011 11:58 AM, Andreas Ericsson wrote:
> On 02/05/2011 05:09 PM, Rafael Kitover wrote:
>> On 2/5/2011 11:03 AM, Jared Hance wrote:
>>> On Sat, 2011-02-05 at 10:24 -0500, Rafael Kitover wrote:
>>>> Hello,
>>>>
>>>> I found the core.filemode option, which ignores executable bits, but I
>>>> need an option to ignore all mode differences, and such an option does
>>>> not seem to exist.
>>>
>>> The only mode tracked by Git is the executable bit, so this shouldn't
>>> even be an issue. Are you sure the executable bit isn't the problem?
>>>
>> $ git config --global core.filemode
>> false
>>
>> Output of "git diff HEAD" :
>>
>> diff --git a/Makefile.PL b/Makefile.PL
>> old mode 100755
>> new mode 100644
>> diff --git a/t/02ads.t b/t/02ads.t
>> old mode 100755
>> new mode 100644
>> diff --git a/t/02cxn.t b/t/02cxn.t
>> old mode 100755
>> new mode 100644
>> diff --git a/t/04os.t b/t/04os.t
>> old mode 100755
>> new mode 100644
>
> Those are all executable bit diffs.
>

Ok, but I have core.filemode set to "false" as I showed, why does this 
happen then?